# ATLAS Base fragment {{{

# general ATLAS parameters
BEAMS: 2212
BEAM_ENERGIES: 6500

# cap events at |w|<10 in unweighted evgen;
# set H-event shower mode in the soft region to avoid instable weights
OVERWEIGHT_THRESHOLD: 10
MC@NLO:
    HPSMODE: 0
    RS_SCALE: METS{H_TM2/4}

#CSS_KIN_SCHEME: 1
#NLO_CSS_KIN_SCHEME: 1

# particle masses/widths
PARTICLE_DATA:
    24:
        Mass: 80.399
    # TTBar + jets specific parameters
        Stable: 0
    6:
        Stable: 0
        Width: 0
        

# add Lund hadronisation model switches from arXiv:1905.09127
PARJ:
- [21, 0.36]
- [41, 0.3]
- [42, 0.6]

# the ATLAS base fragment also sets HDH widths, we'll keep them at their
# defaults here

# OpenLoops parameters
OL_PARAMETERS:
    preset: 2
    write_parameters: 1
    # TTBar + jets specific parameters
    ew_scheme: 2
    ew_renorm_scheme: 1

# ATLAS TTBar + jets setup {{{
# see https://gitlab.cern.ch/atlas-physics/pmg/mcjoboptions/-/blob/master/700xxx/700660/mc.Sh_2212_ttbar_dilepton_maxHTavrgTopPT.py

EXCLUSIVE_CLUSTER_MODE: 1
MEPS:
    #CORE_SCALE: VAR{H_TM2/4}
    CORE_SCALE: TTBar
    #MEPS_COLORSET_MODE: 1

TAGS:
    NJET: 0
    LJET: 0
    QCUT: 30
    LOOPGEN: Internal
    EVTS: 0

ME_GENERATORS:
- Comix
- Amegic
- $(LOOPGEN)

INTEGRATION_ERROR: 0.05

HARD_DECAYS:
    Enabled: true
    Channels:
        24,12,-11: {Status: 2}
        24,14,-13: {Status: 2}
        24,16,-15: {Status: 2}
        -24,-12,11: {Status: 2}
        -24,-14,13: {Status: 2}
        -24,-16,15: {Status: 2}

SPECIAL_TAU_SPIN_CORRELATIONS: 1

HADRON_DECAYS:
    Spin_Correlations: 1

EW_SCHEME: 3
GF: 1.166397e-5

PROCESSES:
- 93 93 -> 6 -6 93{$(NJET)}:
    Order: {QCD: 2, EW: 0}
    CKKW: $(QCUT)
    2->$(LJET):
        NLO_Mode: MC@NLO
        NLO_Order: {QCD: 1, EW: 0}
        ME_Generator: Amegic
        RS_ME_Generator: Comix
        Loop_Generator: $(LOOPGEN)
    2->3-6:
        Enhance_Function: "VAR{pow(max(sqrt(H_T2)-PPerp(p[2])-PPerp(p[3]),(PPerp(p[2])+PPerp(p[3]))/2)/30.0,2)}"

ANALYSIS: Rivet
ANALYSIS_WRITEOUT_INTERVAL: 0.1
EVENTS: $(EVTS)
EVENT_GENERATION_MODE: W
RIVET:
    --analyses:
        - MC_TTBAR
        - MC_QCD_PARTONS
        - MC_FSPARTICLES
        - ATLAS_2017_I1495243
        - ATLAS_2019_I1759875
        - ATLAS_2022_I2152933
        - CMS_2018_I1620050
        - CMS_2018_I1703993
